#pragma once

#include "stm32f1xx.h"
#include "pinning.h"

typedef enum
{
    LED_Pink,
    LED_Orange
} LED_t;

inline void LED_On(LED_t led)
{
    switch(led)
    {
        case LED_Pink:
            GPIOA->BSRR = 1 << PIN_LED_PINK;
            break;
        case LED_Orange:
            GPIOA->BSRR = 1 << PIN_LED_ORANGE;
            break;
    }
}

inline void LED_Off(LED_t led)
{
    switch(led)
    {
        case LED_Pink:
            GPIOA->BRR = 1 << PIN_LED_PINK;
            break;
        case LED_Orange:
            GPIOA->BRR = 1 << PIN_LED_ORANGE;
            break;
    }
}

void LED_Init(void);

